Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TestEventRepeater Class Reference
Inheritance diagram for TestEventRepeater:

## Public Member Functions
| TestEventRepeater ()
virtual | ~TestEventRepeater ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
bool | forwarding_enabled () const
void | set_forwarding_enabled (bool enable)
virtual void | OnTestProgramStart (const UnitTest &unit_test)
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)
virtual void | OnTestCaseStart (const TestCase &test_case)
virtual void | OnTestStart (const TestInfo &test_info)
virtual void | OnTestPartResult (const TestPartResult &result)
virtual void | OnTestEnd (const TestInfo &test_info)
virtual void | OnTestCaseEnd (const TestCase &test_case)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &unit_test)
| TestEventRepeater ()
virtual | ~TestEventRepeater ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
bool | forwarding_enabled () const
void | set_forwarding_enabled (bool enable)
virtual void | OnTestProgramStart (const UnitTest &unit_test)
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)
virtual void | OnTestCaseStart (const TestCase &test_case)
virtual void | OnTestStart (const TestInfo &test_info)
virtual void | OnTestPartResult (const TestPartResult &result)
virtual void | OnTestEnd (const TestInfo &test_info)
virtual void | OnTestCaseEnd (const TestCase &test_case)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &unit_test)
| TestEventRepeater ()
virtual | ~TestEventRepeater ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
bool | forwarding_enabled () const
void | set_forwarding_enabled (bool enable)
virtual void | OnTestProgramStart (const UnitTest &unit_test)
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)
virtual void | OnTestCaseStart (const TestCase &test_case)
virtual void | OnTestStart (const TestInfo &test_info)
virtual void | OnTestPartResult (const TestPartResult &result)
virtual void | OnTestEnd (const TestInfo &test_info)
virtual void | OnTestCaseEnd (const TestCase &test_case)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &unit_test)
Public Member Functions inherited from TestEventListener
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()

## Constructor & Destructor Documentation

TestEventRepeater | ( |  | ) |
| inline

~TestEventRepeater | ( |  | ) |
| virtual

TestEventRepeater | ( |  | ) |
| inline

virtual ~TestEventRepeater | ( |  | ) |
| virtual

TestEventRepeater | ( |  | ) |
| inline

virtual ~TestEventRepeater | ( |  | ) |
| virtual

## Member Function Documentation

void Append | ( | TestEventListener * | listener | ) |

void Append | ( | TestEventListener * | listener | ) |

void Append | ( | TestEventListener * | listener | ) |

bool forwarding_enabled | ( |  | ) | const
| inline

bool forwarding_enabled | ( |  | ) | const
| inline

bool forwarding_enabled | ( |  | ) | const
| inline

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestEventListener.

virtual void OnTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestEventListener.

virtual void OnTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

TestEventListener* Release | ( | TestEventListener * | listener | ) |

TestEventListener * Release | ( | TestEventListener * | listener | ) |

TestEventListener* Release | ( | TestEventListener * | listener | ) |

void set_forwarding_enabled | ( | bool | enable | ) |
| inline

void set_forwarding_enabled | ( | bool | enable | ) |
| inline

void set_forwarding_enabled | ( | bool | enable | ) |
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc